index {
  client.driver = "es"
  es {
    response.timeout = 10000
    master.uri = "http://localhost:9200?cluster.name=mnx"
    master.uri = ${?ES_MASTER_URI}
    //    user = "elastic"
    //    passwd = "Pa55w0rd"
    user = ${?ES_CLUSTER_USER}
    passwd = ${?ES_CLUSTER_PWD}
    default = {
      shards = 1,
      replicas = 0,
      refresh_rate = "1s"
    }
    max_result_window = 1000,
    mapping = {
      total_fields.limit = 1000,
      depth.limit = 20,
      nested_fields.limit = 50
    }
  }
}

amqp {
  user = "admin"
  password = "Pa55w0rd!"
  broker.host = "localhost"
  broker.port = 5672
  durable.messages = true
  connection.timeout = 10000
  exchange.name = "default"
  consume.interval = 500
  automatic.recovery.enabled = false
  topology.recovery.enabled = false
  qos {
    fairdispatch = true
    prefetch.count = 10
  }
}